<html>
    <head>
        <title>App enquete - detalhes</title>
    </head>
    <body>
        <h1>Detalhes da Enquete {{ pergunta.id }}</h1>
        <u>Pergunta</u>: {{pergunta.texto}}<br/>
        <u>Data de Publicação</u>: {{pergunta.data_publicacao}}
        {% if error_message %}
        <hr>
        <strong>{{ error_message}}</strong>
        <hr/>
        {% endif %}
        <form action="{% url 'main:votacao' pergunta.id %}" method="post">
             {% csrf_token %}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
                <li><input type="radio" name="opcao"
                id="opcao{{ forloop.counter}}" value="{{ opcao.id }}">
                <label for="opcao{{ forloop.counter }}">{{ opcao.texto }}
                </label>
            </li>
            {% endfor %}
        </ul>
        <input type="submit" value="Registre o seu voto">
      </form>

        <ul>
            <h3> Comentários referentes a pergunta {{pergunta.id}}</h3>
                 {% for comentario in pergunta.comentario_set.all %}
                    <li><a href="{% url 'main:comentario' comentario.id %}">{{ comentario.texto }}</a> </li>
                 {% endfor %}
        </ul>
            <a href="{% url 'main:index' %}">Deseja retornar para a página principal?</a>
    </body>
</html>